{% extends 'base.html' %}

{% block title %}Register{% endblock %}

{% block content %}
	<h1 class = 'text-center my-3'>Register</h1>
	<div class = 'container my-5'>
		<div class = 'row'>
			<div class = 'col-6 offset-3 mb-3'>

				{% if is_user_registered == True %}
					<p class = 'text-center text-danger my-2'>That username has been taken. Please login or select a different username.</p>
				{% endif %}

				{% if success == True %}
					<p class = 'text-center text-success my-2'>Thank you for registering with us!</p>
				{% endif %}

				<form action = "{% url 'todolist:register' %}" method = "POST">

					{% csrf_token %}

					<div class = 'mb-3'>
						<label for="username" class="form-label">Username:</label>
						<input 
							type="text" 
							class="form-control" 
							id="username" 
							value = "{{username}}"
							name = "username" 
							maxlength="20"
							required
						>
					</div>
				  <div class = "row mb-3">
				  	<div class = "col-lg-6">
				  		<label for="first_name" class="form-label">First Name:</label>
				  		<input 
				  			type="text" 
				  			class="form-control" 
				  			id="first_name" 
				  			value = "{{first_name}}"
				  			name = "first_name" 
				  			maxlength="50"
				  			required
			  			>
				  	</div>
				  	<div class = "col-lg-6">
				  		<label for="last_name" class="form-label">Last Name:</label>
				  		<input 
				  			type="text" 
				  			class="form-control" 
				  			id="last_name" 
				  			value = "{{last_name}}"
				  			name = "last_name" 
				  			maxlength="50"
				  			required
			  			>
				  	</div>
				  </div>
				  <div id="personalInfo" class="form-text">We'll never share your personal information with anyone else.</div>
				  <div class="mb-3">
				    <label for="email" class="form-label">Email Address:</label>
				    <input 
			  			type="email" 
			  			class="form-control" 
			  			id="email" 
			  			value = "{{email}}" 
			  			name = "email" 
			  			maxlength="50"
			  			required
		  			>
				  </div>
				  <div class="mb-3">
				    <label for="password" class="form-label">Password:</label>
				    <input 
			  			type="password" 
			  			class="form-control" 
			  			id="password" 
			  			value = "{{password}}" 
			  			name = "password" 
			  			maxlength="20"
			  			required
		  			>
				  </div>
				  <button type="submit" class="btn btn-primary">Submit</button>
				</form>

			</div>
		</div>
	</div>

{% endblock %}

<!-- {% if is_user_registered == False %}

	<h1>User Successfully Created!</h1>

	<p>The account for {{first_name}} {{last_name}} has been successfully created!</p>

{% else %}

	<h1>Duplicate User Found</h1>

	<p>A user with this username already exists. User creation unsuccessful.</p>

{% endif %} -->